Bug 1265461 - [abrt] nemo: g_type_check_instance_cast(): nemo killed by SIGSEGV
[abrt] nemo: g_type_check_instance_cast(): nemo killed by SIGSEGV
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: nemo (Show other bugs)
23
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: leigh scott
Fedora Extras Quality Assurance
https://retrace.fedoraproject.org/faf...
abrt_hash:9a3f2617c825fc32aabcaecb32b...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-09-22 21:34 EDT by lea89
Modified: 2016-12-20 09:41 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-12-20 09:41:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (40.81 KB, text/plain)
2015-09-22 21:34 EDT, lea89
no flags Details
File: cgroup (190 bytes, text/plain)
2015-09-22 21:34 EDT, lea89
no flags Details
File: core_backtrace (6.31 KB, text/plain)
2015-09-22 21:34 EDT, lea89
no flags Details
File: dso_list (10.55 KB, text/plain)
2015-09-22 21:34 EDT, lea89
no flags Details
File: environ (1.31 KB, text/plain)
2015-09-22 21:34 EDT, lea89
no flags Details
File: exploitable (110 bytes, text/plain)
2015-09-22 21:34 EDT, lea89
no flags Details
File: limits (1.29 KB, text/plain)
2015-09-22 21:34 EDT, lea89
no flags Details
File: maps (51.79 KB, text/plain)
2015-09-22 21:35 EDT, lea89
no flags Details

  None (edit)
Description lea89 2015-09-22 21:34:01 EDT
Description of problem:
It just happened, i wasn't using NEMO

Version-Release number of selected component:
nemo-2.6.7-2.fc23

Additional info:
reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        nemo -n
crash_function: g_type_check_instance_cast
executable:     /usr/bin/nemo
global_pid:     1976
kernel:         4.2.0-300.fc23.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 g_type_check_instance_cast at gtype.c:4060
 #1 desktop_setting_changed_callback at nemo-places-sidebar.c:1332
 #6 g_settings_real_change_event at gsettings.c:386
 #7 ffi_call_unix64 at ../src/x86/unix64.S:76
 #8 ffi_call at ../src/x86/ffi64.c:525
 #9 g_cclosure_marshal_generic_va at gclosure.c:1594
 #10 _g_closure_invoke_va at gclosure.c:864
 #13 settings_backend_changed at gsettings.c:446
 #14 g_settings_backend_invoke_closure at gsettingsbackend.c:267
 #18 g_main_context_iteration at gmain.c:3901

Potential duplicate: bug 1144086
Comment 1 lea89 2015-09-22 21:34:07 EDT
Created attachment 1076056 [details]
File: backtrace
Comment 2 lea89 2015-09-22 21:34:09 EDT
Created attachment 1076057 [details]
File: cgroup
Comment 3 lea89 2015-09-22 21:34:14 EDT
Created attachment 1076058 [details]
File: core_backtrace
Comment 4 lea89 2015-09-22 21:34:17 EDT
Created attachment 1076059 [details]
File: dso_list
Comment 5 lea89 2015-09-22 21:34:26 EDT
Created attachment 1076060 [details]
File: environ
Comment 6 lea89 2015-09-22 21:34:38 EDT
Created attachment 1076061 [details]
File: exploitable
Comment 7 lea89 2015-09-22 21:34:47 EDT
Created attachment 1076062 [details]
File: limits
Comment 8 lea89 2015-09-22 21:35:08 EDT
Created attachment 1076063 [details]
File: maps
Comment 9 lea89 2015-09-22 21:38:25 EDT
Another user experienced a similar problem:

It just happened, i wasn't using NEMO

reporter:       libreport-2.6.2
backtrace_rating: 4
cmdline:        nemo -n
crash_function: g_type_check_instance_cast
executable:     /usr/bin/nemo
global_pid:     1976
kernel:         4.2.0-300.fc23.x86_64
package:        nemo-2.6.7-2.fc23
reason:         nemo killed by SIGSEGV
runlevel:       N 5
type:           CCpp
uid:            1000
Comment 10 Fedora End Of Life 2016-11-24 07:33:36 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 11 Fedora End Of Life 2016-12-20 09:41:38 EST
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.